## subproject-howto 0.5.1

=== subproject-howto/Makefile ===
#
# Makefile for the Debian Subproject HOWTO
#

SRCS = subproject-howto.sgml

# this can and will be overriden by a higher level makefile
PUBLISHDIR := ../../../public_html/subproject-howto.html

all: html txt ps

publish: subproject-howto.html/index.html
	test -d $(PUBLISHDIR)/subproject-howto || install -d -m 755 $(PUBLISHDIR)/subproject-howto
	rm -f $(PUBLISHDIR)/subproject-howto/*.html
	install -p -m 644 subproject-howto.html/*.html $(PUBLISHDIR)/subproject-howto/

faqdynamic.ent:
	echo "<!entity docdate \"$(shell date +'%-d %B %Y')\">" > faqdynamic.ent
	if [ -f ../debian/changelog ]; then \
          echo "<!entity docversion \"` LC_ALL=C cd .. && dpkg-parsechangelog | grep '^Version: ' | sed 's/^Version: *//'`\">" >> faqdynamic.ent; \
        else \
          echo "<!entity docversion \"CVS\">" >> faqdynamic.ent; \
        fi

validate:
	nsgmls -ges -wall subproject-howto.sgml

html subproject-howto.html/index.html: $(SRCS)
	debiandoc2html $<

txt subproject-howto.txt: $(SRCS)
	debiandoc2text $<

ps subproject-howto.ps: $(SRCS)
	debiandoc2latexps $<

dvi subproject-howto.dvi: $(SRCS)
	debiandoc2latexdvi $<

pdf subproject-howto.pdf: $(SRCS)
	debiandoc2latexpdf $<

info subproject-howto.info: $(SRCS)
	debiandoc2info $<

clean distclean:
	rm -rf subproject-howto.html
	rm -f subproject-howto.{txt,ps,dvi,pdf,info*,aux,log,man,tex,toc,sasp*}
	rm -f *~ .*~ core tsa*

.PHONY: all publish clean distclean validate

=== debian/changelog ===
subproject-howto (0.5.1) unstable; urgency=low

  * Brown paper bag time.
  * Fix forgotten doc-base control file (Closes: #180687)
  * Make structure of doc dir a bit more reasonable.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Wed, 12 Feb 2003 08:09:22 -0400

subproject-howto (0.5) unstable; urgency=low

  * Initial release.  (Closes: #145555)
  * Releasing as 0.5 reflecting incompleteness of the document.

 -- Ben Armstrong <synrg@sanctuary.nslug.ns.ca>  Sun,  3 Mar 2002 15:41:18 -0400

=== debian/control ===
Source: subproject-howto
Section: doc
Priority: optional
Maintainer: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
Standards-Version: 3.5.6
Build-Depends-Indep: debiandoc-sgml, tetex-bin, tetex-extra

Package: subproject-howto
Architecture: all
Suggests: www-browser, postscript-viewer
Description: Debian Subproject HOWTO
 Based on his experiences starting and sustaining a development
 subproject within Debian, the author explains how to start one,
 and why subprojects are important to the vitality and quality
 of Debian.

=== debian/rules ===
#!/usr/bin/make -f
# derived from sample debian/rules file for GNU hello by Ian Jackson.

tmp = $(shell pwd)/debian/tmp
docdir = $(tmp)/usr/share/doc/subproject-howto

build: stamp-build
stamp-build:
	test -d subproject-howto -a -f debian/rules
	cd subproject-howto && $(MAKE) html txt ps
	cd subproject-howto && gzip -9 subproject-howto.txt subproject-howto.ps
	touch $@

clean:
	test -d subproject-howto -a -f debian/rules
	test "`id -u`" -eq 0
	cd subproject-howto && $(MAKE) clean
	rm -rf $(tmp)
	rm -f subproject-howto/*.gz stamp-build debian/files `find . -name "*~"`

binary: binary-indep binary-arch

binary-arch:

binary-indep: build
	test -d subproject-howto -a -f debian/rules
	test "`id -u`" -eq 0
	rm -rf $(tmp)

	install -m 755 -d $(tmp)/DEBIAN $(docdir) $(docdir)/html \
          $(tmp)/usr/share/doc-base
	cd subproject-howto && install -m 644 \
	  subproject-howto.html/* \
	  $(docdir)/html
	cd subproject-howto && install -m 644 \
	  subproject-howto.txt.gz \
	  subproject-howto.ps.gz \
	  $(docdir)

	install -m 755 debian/prerm debian/postinst $(tmp)/DEBIAN
	install -m 644 doc-base/* $(tmp)/usr/share/doc-base
	install -m 644 debian/copyright $(docdir)
	gzip -c9 debian/changelog > $(docdir)/changelog.gz
	chown -R root.root $(tmp) && chmod -R go=rX $(tmp)
	dpkg-gencontrol -isp
	dpkg --build $(tmp) ..

# If we were including the subproject-howto in ftp/doc, we would do the
# following, similar to doc-debian.  But while the project is still
# immature, we will not upload these materials.  If this is ever
# enabled, it needs to be OK'd by ftpmaster@d.o
#
# The extra-package files:
#	cd subproject-howto/subproject-howto.html && GZIP=-9 tar czf ../../../subproject-howto.html.tar.gz *
#	cp subproject-howto/subproject-howto.txt.gz subproject-howto/subproject-howto.ps.gz ../
#	dpkg-distaddfile subproject-howto.html.tar.gz byhand -
#	dpkg-distaddfile subproject-howto.txt.gz byhand -
#	dpkg-distaddfile subproject-howto.ps.gz byhand -

.PHONY: build clean binary binary-arch binary-indep
